<?php
// Block direct requests
if ( !defined('ABSPATH') ) die('-1');


if(!function_exists('mascot_core_educacion_register_widgets')) {
	/**
	 * Register all widgets
	 */
	function mascot_core_educacion_register_widgets() {
		$widget_list = array(
			'Mascot_Core_Educacion_Widget_BlogList',
			'Mascot_Core_Educacion_Widget_ContactInfo',
			'Mascot_Core_Educacion_Widget_Facebook',
			'Mascot_Core_Educacion_Widget_FlickrFeed',
			'Mascot_Core_Educacion_Widget_GoogleMap',
			'Mascot_Core_Educacion_Widget_GooglePlus',
			'Mascot_Core_Educacion_Widget_InstagramFeed',
			'Mascot_Core_Educacion_Widget_OpeningHours',
			'Mascot_Core_Educacion_Widget_OpeningHoursCompressed',
			'Mascot_Core_Educacion_Widget_SocialList',
			'Mascot_Core_Educacion_Widget_SocialListCustom',
			'Mascot_Core_Educacion_Widget_PinterestFollowButton',
			'Mascot_Core_Educacion_Widget_PinterestPin',
			'Mascot_Core_Educacion_Widget_PinterestBoard',
			'Mascot_Core_Educacion_Widget_PinterestProfile',
			'Mascot_Core_Educacion_Widget_FeaturedPage',
			'Mascot_Core_Educacion_Widget_BrochureBox',
			'Mascot_Core_Educacion_Widget_IconBox',
			'Mascot_Core_Educacion_Widget_HorizontalRow',
			'Mascot_Core_Educacion_Widget_EmptySpace',
			'Mascot_Core_Educacion_Widget_ImageWidget',
			'Mascot_Core_Educacion_Widget_GalleryImages',
			'Mascot_Core_Educacion_Widget_Portfolio',
			'Mascot_Core_Educacion_Widget_Testimonials',
		);

		//apply filter
		if( has_filter('mascot_core_educacion_register_widgets_add_widgets') ) {
			$widget_list = apply_filters('mascot_core_educacion_register_widgets_add_widgets', $widget_list);
		}

		foreach( $widget_list as $each_widget ) {
			register_widget( $each_widget );
		}

	}
	/* Register the widget */
	mascot_core_educacion_register_widgets();
}
